### Enumeration

# Gtk AccessibleInvalidState

since: 4.0

#### Declaration

    enum Gtk.AccessibleInvalidState

#### Description [src]

The possible values for the `GTK_ACCESSIBLE_STATE_INVALID` accessible state.

Note that the `GTK_ACCESSIBLE_INVALID_FALSE` and `GTK_ACCESSIBLE_INVALID_TRUE` have the same values as `FALSE` and `TRUE`.

Available since: 4.0

#### Members

`GTK_ACCESSIBLE_INVALID_FALSE`

  There are no detected errors in the value.

  - Value: `0`
  - Nickname: `false`
  - Available since: 4.0
`GTK_ACCESSIBLE_INVALID_TRUE`

  The value entered by the user has failed validation.

  - Value: `1`
  - Nickname: `true`
  - Available since: 4.0
`GTK_ACCESSIBLE_INVALID_GRAMMAR`

  A grammatical error was detected.

  - Value: `2`
  - Nickname: `grammar`
  - Available since: 4.0
`GTK_ACCESSIBLE_INVALID_SPELLING`

  A spelling error was detected.

  - Value: `3`
  - Nickname: `spelling`
  - Available since: 4.0